ghc-7.0.4: The GHC API

ParserCoreUtils

# Documentation

data ParseResult a Source

Constructors

OkP a |
FailP String |

type P a = String -> Int -> ParseResult aSource

thenP :: P a -> (a -> P b) -> P bSource

returnP :: a -> P aSource

failP :: String -> P aSource

getCoreModuleName :: FilePath -> IO String Source

data Token Source

Constructors

TKmodule |
TKdata |
TKnewtype |
TKforall |
TKrec |
TKlet |
TKin |
TKcase |
TKof |
TKcast |
TKnote |
TKexternal |
TKlocal |
TKwild |
TKoparen |
TKcparen |
TKobrace |
TKcbrace |
TKhash |
TKeq |
TKcolon |
TKcoloncolon |
TKcoloneqcolon |
TKstar |
TKrarrow |
TKlambda |
TKat |
TKdot |
TKquestion |
TKsemicolon |
TKname String |
TKcname String |
TKinteger Integer |
TKrational Rational |
TKstring String |
TKchar Char |
TKEOF |